pkgname=windows-guest-tools-iso
pkgver=0.0.1
pkgrel=1
pkgdesc='Windows XP-10/2003-2016 guest drivers and agent for SPICE-enabled QEMU VMs'
arch=('any')
url=""
license=('other')
makedepends=('xorriso')

_spice_version=0.141
_virtio_version=0.1.248-1
_winfsp_version=2.0.23075
source=(
  spice-guest-tools.exe::"https://www.spice-space.org/download/windows/spice-guest-tools/spice-guest-tools-${_spice_version}/spice-guest-tools-${_spice_version}.exe"
  "https://fedorapeople.org/groups/virt/virtio-win/direct-downloads/archive-virtio/virtio-win-${_virtio_version}/virtio-win-guest-tools.exe"
  winfsp.msi::"https://github.com/winfsp/winfsp/releases/download/v${_winfsp_version%.*}/winfsp-${_winfsp_version}.msi"
)
sha512sums=('e040df9494f7eb585bb76543fc9f718a1054397f6eba35ec88701a9a80326715d2dd6811d092395d9857af1ab3468a62e9d3e855b70875084a5f015d5c294843'
            '71c391d9a5624a03d33f68ccdfb91ee853c5455c504b36d049be9227889af8ce731a724067bf65db9ebbb6f0971888d7f90f20efbd08207bc0ca93c04eaba0d5'
            'b8cb15f01ba2c0f3743167c3526ea083e94d6a518f992fdba1454fc161a93042d1e55cfbe7c031975478466170d7b26c9fe84af64b7fe696511426a04f4f6087')

build() {
  cd "$srcdir"

  mkdir cdrom
  cat > cdrom/autorun.inf <<EOF
[autorun]
open=autorun.bat
label=Windows guest tools
EOF
  cat > cdrom/autorun.bat <<EOF
start /b/wait spice-guest-tools.exe /S
start /b/wait virtio-win-guest-tools.exe /install /quiet /norestart
start /b/wait msiexec /i winfsp.msi /qb /norestart
EOF
  sed 's/$/\r/' -i cdrom/autorun.bat cdrom/autorun.inf
  cp -aL spice-guest-tools.exe cdrom
  cp -aL virtio-win-guest-tools.exe cdrom
  cp -aL winfsp.msi cdrom
  xorrisofs -V "SPICE Guest Tools ${pkgver}" -p "XORRISO, LIBISOBURN, LIBISOFS, LIBBURN" \
            -r -J -o windows-guest-tools.iso cdrom
}

package() {
  cd "$srcdir"

  install -d -m 755 "$pkgdir"/var/lib/libvirt/images/
  install -m 444 windows-guest-tools.iso "$pkgdir"/var/lib/libvirt/images/
}
